<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Settings component | Adstate Embeddable Solutions</title>
    <style>
      * {
        box-sizing: border-box;
      }

      body {
        background-color: #f0f0f0;
        font-size: 16px;
        font-family: sans-serif;
        line-height: 1.5;
        text-align: center;
        padding: 1em 0;
      }

      body > main {
        display: block;
        margin: 1em auto;
        align-items: center;
        text-align: left;
        width: 100%;
        max-width: 960px;
        padding: 1em;
        background-color: #ffffff;
        border-radius: 8px;
      }

      @media (min-width: 480px) {
        body > main {
          margin: 4em auto 0;
          padding: 2em 4em;
        }
      }

      a {
        color: #3d9c64;
        text-decoration: none;
      }

      a:hover,
      a:focus {
        text-decoration: underline;
      }

      .button {
        display: inline-block;
        padding: 0.5em 1em;
        border-radius: 4px;
        color: #ffffff;
        background-color: #3d9c64;
        text-decoration: none;
      }

      code,
      pre {
        border-radius: 4px;
        background-color: #ddd;
      }

      code {
        padding: 2px;
      }

      pre {
        padding: 1em;
        overflow: auto;
      }
    </style>
  </head>
  <body>
    <h1>Adstate Embeddable Solutions</h1>
    <p><a href="../">⬅️ Go back</a></p>
    <main>
      <h2>Settings component</h2>

      <p>
        <a href="./demo/" class="button">See demo</a>
      </p>

      <p>This is how you can embed our settings component into your own website:</p>
      <ul>
        <li>
          <p>Include script:</p>
          <ul>
            <li>
              Production: <a href="https://embed.adstate.com/settings-component.js">https://embed.adstate.com/settings-component.js</a>
            </li>
            <li>
              Testing:
              <a href="https://sandbox.embed.adstate.com/settings-component.js">https://sandbox.embed.adstate.com/settings-component.js</a>
            </li>
            <li>
              Development:
              <a href="https://dev.embed.adstate.com/settings-component.js">https://dev.embed.adstate.com/settings-component.js</a>
            </li>
          </ul>
        </li>
        <li>
          <p>
            Put the following tag in your page:
            <code>&lt;adstate-settings-component&gt;&lt;/adstate-settings-component&gt;</code>
          </p>
          <p>Available attributes:</p>
          <ul>
            <li>
              <ul>
                <li>Name: <code>language</code></li>
                <li>Type: <code>string</code></li>
                <li>Description: Use this to set the current language.</li>
              </ul>
            </li>
            <li>
              <ul>
                <li>Name: <code>color</code></li>
                <li>Type: <code>string</code></li>
                <li>Description: Use this to set the theme color (hex code).</li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>
      <p>You can also control the component with some events</p>
      <ul>
        <li><code>adstate-settings-cookie-pop-up-open</code>: will open the cookie pop-up.</li>
        <li><code>adstate-settings-cookie-pop-up-delete</code>: will delete the cookies set by the settings component.</li>
      </ul>
      <p>The component also fires one event:</p>
      <ul>
        <li>
          <code>changeLanguage</code>: whenever the language changes this triggers. Check <code>event.detail</code> to get the new language.
        </li>
      </ul>
      <p>For example like this:</p>
      <pre>
  &lt;!DOCTYPE html&gt;
  &lt;html lang=&quot;en&quot;&gt;
  &lt;head&gt;
      &lt;meta charset=&quot;UTF-8&quot;&gt;
      &lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge&quot;&gt;
      &lt;meta name=&quot;viewport&quot; content=&quot;width=device-width, initial-scale=1.0&quot;&gt;
      &lt;title&gt;Our website&lt;/title&gt;
  &lt;/head&gt;
  &lt;body&gt;
      &lt;nav&gt;
          &lt;img src=&quot;logo.jpg&quot; alt=&quot;&quot;&gt;
          &lt;ul&gt;
              &lt;li&gt;&lt;a href=&quot;#1&quot;&gt;Link 1&lt;/a&gt;&lt;/li&gt;
              &lt;li&gt;&lt;a href=&quot;#2&quot;&gt;Link 2&lt;/a&gt;&lt;/li&gt;
              &lt;li&gt;&lt;a href=&quot;#3&quot;&gt;Link 3&lt;/a&gt;&lt;/li&gt;
          &lt;/ul&gt;
      &lt;/nav&gt;
      &lt;main&gt;
        <strong>&lt;adstate-settings-component language=&quot;nb_NO&quot; color=&quot;#3d9c64&quot;&gt;
        &lt;/adstate-settings-component&gt;</strong>
      &lt;/main&gt;
      &lt;footer&gt;
          &lt;p&gt;Page footer &copy; Copyright 2021&lt;/p&gt;
      &lt;/footer&gt;
      &lt;script src=&quot;https://embed.adstate.com/settings-component.js&quot;&gt;&lt;/script&gt;
  &lt;/body&gt;
  &lt;/html&gt;
</pre>
    </main>
  </body>
</html>
